QGIS Application - Bug report #7528

new column filter in the table of attributes does not select automatically filtered records ("simple
search" did it)

2013-04-06 10:26 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 16472
Description

In QGIS master the "simple search" is gone, in its place there is the "column filter" tool, that unfortunately does not select automatically
filtered records.

This is not handy at all, and | would consider it a regression, in fact after having filtered records the user must select them manually.

Moreover, the manual selection in the table of attributes can be dead slow (see other tickets on this matter), and many times it leads to
qgis freeze.

History

#1 - 2013-04-07 10:04 AM - Pedro Venancio

In addition, there is still another related problem. When selecting records manually, does not appear anywhere in the attribute table the number of selected
records (in 1.8 that information appeared in the title bar as ":: x/y feature(s) selected" - regression?).

It only appears in the lower left corner of the QGIS main window. But this information disappears when you move the mouse icon over the menu bar (Bug?

This was already happening in 1.8).

#2 - 2013-04-08 01:55 AM - Matthias Kuhn
- Status changed from Open to Feedback

Main topic:

Please note, that a new selection tool "select by expression” has been introduced, which is in fact more powerful than the selection via attribute editor. |
was thinking about a "select all" button. (Right click -> select all or Ctrl+A works already)

Disconnecting the selection and filter has been discussed on the mailing list and has already led to controversial discussions.

Performance:

Is on my todo list. You're probably talking about click and drag? If yes, | know how to solve it, if not please let me know what method of selection you refer

to.

Show # of selected features in title:
Definitely is a bug and I'll look into this.

PS: Please open new issues for separate bugs. This way issues can be closed when they're solved and do not have to be kept open due to other topics.
[1] http://osgeo-org.1560.n6.nabble.com/Attribute-Editor-Dual-View-td5026316.html

#3 - 2013-04-08 02:08 AM - Matthias Kuhn

| forgot to mention, that the filter mode "Show Selected" + the "select by expression" window side-by-side bring almost the known behavior from 1.8 back.

#4 - 2013-04-08 06:44 AM - Matthias Kuhn

Performance issues and title issue fixed and waiting for pull
https://github.com/qgis/Quantum-GIS/pull/508

#5 - 2013-04-08 02:01 PM - Giovanni Manghi

Matthias Kuhn wrote:

Performance issues and title issue fixed and waiting for pull
https.//github.com/qqgis/Quantum-GIS/pull/508

Hi Matthias, thanks a lot for your fixes, | will try them asap and let you know.

does your patch also fix #5525?

cheers

#6 - 2013-04-09 12:36 AM - Matthias Kuhn
The patch was not connected to the linked issue and it seems that the new attribute editor does not fix this at all.
But as | don't know the old state, and therefore don't know what to compare to, please do some profiling comparison and post your findings in the linked

issue.

Can we close this ticket or does the automatic filter/selection sync need more discussion?

#7 - 2013-04-09 12:49 AM - Giovanni Manghi
Matthias Kuhn wrote:
The patch was not connected to the linked issue and it seems that the new attribute editor does not fix this at all.

But as | don't know the old state, and therefore don't know what to compare to, please do some profiling comparison and post your findings in the

linked issue.

ok

Can we close this ticket or does the automatic filter/selection sync need more discussion?

| guess can be closed. Right now | get an error while compiling, anyway if needed | will let you know or eventually reopen the ticket.
Thanks!

#8 - 2013-04-09 02:54 PM - Pedro Venancio

| also think this is fixed now. But | also found the fail in the build tests.

Thank you very much Matthias!!

#9 - 2013-04-12 03:41 AM - Jiirgen Fischer
- Status changed from Feedback to Closed
